Subject: Re: [net-next PATCH v1 04/11] rocker: add pipeline model for rocker switch

From: John Fastabend <[email-masked]>
Date: Sun, 04 Jan 2015 21:18:41 -0800

On 01/04/2015 12:43 AM, Or Gerlitz wrote:
> On Wed, Dec 31, 2014 at 9:47 PM, John Fastabend
> <[email-masked]> wrote:
>> This adds rocker support for the net_flow_get_* operations. With this
>> we can interrogate rocker.
>>
>> Here we see that for static configurations enabling the get operations
>> is simply a matter of defining a pipeline model and returning the
>> structures for the core infrastructure to encapsulate into netlink
>> messages.
>
> [..]
>

[...]

>> +
>
> John,
>
> Repeating the feedback I provided you f2f in Dusseldorf when the WIP
> code was within ixgbe, some/many code pieces in this patch (e.g the
> above) are generic and hence should reside not within a low level
> driver such as rocker, and also on a separate patch.
>
> Or.
>

yep... will address in v2 thanks for the reminder, I expect I'll have
a v2 ready some time soon.

-- 
John Fastabend         Intel Corporation